ข้ามไปยังเนื้อหา

Texture Transform

ผสานการทำงาน

ID โมเดล image-apps-v2/texture-transform
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/texture-transform?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: $0.04 40 เครดิต API · ≈ ₽4.22 เรียกใช้ในหน้านี้

รับคีย์ API
Utility แก้ไขภาพ #texture-transform

เปลี่ยนวัตถุในภาพให้เป็นวัสดุอื่น เช่น หินอ่อน ไม้ หนัง แก้ว หรือโลหะ

Utility · ภาพ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น image_url
วางไฟล์ หรือ

URL ของรูปภาพที่จะเปลี่ยนพื้นผิว

อัตราส่วนภาพเอาต์พุตที่ 4K

ขั้นสูง target_texture
ค่าเริ่มต้น marble
POST /run/image-apps-v2/texture-transform?wait=20 ใบเสนอราคา → $0.04
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/image-apps-v2/texture-transform?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Texture Transform

รับภาพเป็น `image_url` และเปลี่ยนพื้นผิวของวัตถุในภาพเป็น `target_texture` ที่เลือกได้ รายการมีวัสดุ 22 ชนิด รวมถึง cotton, denim, wool, velvet, stone, marble (ค่าเริ่มต้น), ceramic, concrete, clay และ glass `aspect_ratio` กำหนดเฟรมเอาต์พุต

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
image_urlจำเป็น image
ประเภทurl · image
URL ของรูปภาพที่จะเปลี่ยนพื้นผิว
target_textureไม่บังคับ
ประเภทenum
ค่าเริ่มต้นmarble
cottondenimwoolfeltwoodleathervelvetstonemarbleceramicconcretebrickclayfoamglassmetal
เพิ่มเติมอีก 6 ค่าsilkfabriccrystalrubberplasticlace
aspect_ratioไม่บังคับ
ประเภทobject
อัตราส่วนภาพเอาต์พุตที่ 4K
aspect_ratio.ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น1:1
1:116:99:164:33:4
อัตราส่วนภาพเอาต์พุตที่ความละเอียด 4K
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/texture-transform",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 40,
    "usd": "0.04",
    "charged": 40,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
images
array of object {url, content_type, file_name, file_size, width, height}รูปภาพที่แสดงพื้นผิวที่แก้ไขแล้ว

โมเดลเพิ่มเติม: แก้ไขภาพ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/image-apps-v2/texture-transform.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt